Subject: Re: [weirds] [Technical Errata Reported] RFC7483 (4503)

From: Barry Leiba <[email-masked]>
Date: Thu, 21 Jan 2016 08:12:49 -0500

As I've seen no responses to this three-month-old errata report, and
as it was posted by an author, I'm going to mark it "Verified".  RFC
Editor: When I do that, will you please go in and correct the
multiple-backslash problem (which I understand is a tooling issue)?
Thanks,

Barry

On Wed, Oct 14, 2015 at 10:58 AM, RFC Errata System
<[email-masked]> wrote:
> The following errata report has been submitted for RFC7483,
> "JSON Responses for the Registration Data Access Protocol (RDAP)".
>
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=7483&eid=4503
>
> --------------------------------------
> Type: Technical
> Reported by: Scott Hollenbeck <[email-masked]>
>
> Section: 5.2 and 5.3
>
> Original Text
> -------------
> In Section 5.2:
>
> \\"ldhName\\" : \\"ns1.xn--fo-5ja.example\\",
> \\"unicodeName\\" : \\"ns1.foo.example\\",
>
> In Section 5.3:
>
> \\"ldhName\\" : \\"xn--fo-5ja.example\\",
> \\"unicodeName\\" : \\"foo.example\\",
>
> \\"ldhName\\" : \\"xn--fo-cka.example\\",
> \\"unicodeName\\" : \\"foo.example\\"
>
> \\"ldhName\\" : \\"xn--fo-fka.example\\",
> \\"unicodeName\\" : \\"foo.example\\"
>
> \\"ldhName\\": \\"xn--fo-8ja.example\\",
> \\"unicodeName\\" : \\"foo.example\\"
>
> Corrected Text
> --------------
> In Section 5.2:
>
> \\"ldhName\\" : \\"ns1.xn--fo-5ja.example\\",
> \\"unicodeName\\" : \\"ns1.fóo.example\\",
>
> In Section 5.3:
>
> \\"ldhName\\" : \\"xn--fo-5ja.example\\",
> \\"unicodeName\\" : \\"fóo.example\\",
>
> \\"ldhName\\" : \\"xn--fo-cka.example\\",
> \\"unicodeName\\" : \\"fõo.example\\"
>
> \\"ldhName\\" : \\"xn--fo-fka.example\\",
> \\"unicodeName\\" : \\"föo.example\\"
>
> \\"ldhName\\" : \\"xn--fo-8ja.example\\",
> \\"unicodeName\\" : \\"fôo.example\\"
>
> Notes
> -----
> The unicodeName examples in RFC 7483 are invalid per RFC 5890. Here\\'s an example from Section 5.2 on page 23:
>
> \\"unicodeName\\" : \\"ns1.foo.example\\",
>
> Section 3 of 7483 says this about Unicode names:
>
> \\"Unicode names: Textual representations of DNS names where one or more of the labels are U-labels as described by [RFC5890].\\"
>
> 5890 says: \\"A \\"U-label\\" is an IDNA-valid string of Unicode characters, in Normalization Form C (NFC) and including at least one non-ASCII character, expressed in a standard Unicode Encoding Form (such as UTF-8).\\"
>
> The examples in 7483 contain all ASCII characters. Syntactically valid examples are shown in the corrected text.
>
> Ignore the backslash characters. They were inserted by the errata submission tool.
>
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party (IESG)
> can log in to change the status and edit the report, if necessary.
>
> --------------------------------------
> RFC7483 (draft-ietf-weirds-json-response-14)
> --------------------------------------
> Title               : JSON Responses for the Registration Data Access Protocol (RDAP)
> Publication Date    : March 2015
> Author(s)           : A. Newton, S. Hollenbeck
> Category            : PROPOSED STANDARD
> Source              : Web Extensible Internet Registration Data Service
> Area                : Applications
> Stream              : IETF
> Verifying Party     : IESG
>